# Copyright (c) 2018-2020, diyIT.org
# All rights reserved.
#
# BSD 2-Clause License ("Simplified BSD License" or "FreeBSD License")
# https://diyit.org/license/
#
#

#!/bin/sh
#
session="vm_tmux"

# set up tmux
tmux start-server

# create a new tmux session, naming the window freepbx
tmux new-session -d -s $session -n freepbx
tmux selectp -t 1
tmux send-keys "cd /mnt/config;./pbx.sh" C-m

# create a new window ubuntu
tmux new-window -t $session:1 -n ubuntu
tmux selectp -t 1
tmux send-keys "cd /mnt/config;./ubuntu.sh" C-m

# create a new window freebsd
tmux new-window -t $session:2 -n freebsd
tmux selectp -t 1
tmux send-keys "cd /mnt/config;./freebsd.sh" C-m

# create a new window r-windows
tmux new-window -t $session:3 -n r-windows
tmux selectp -t 1
tmux send-keys "cd /mnt/config;./r-windows.sh" C-m

# return to main window
tmux select-window -t $session:0
tmux selectp -t 1

# Finished setup, attach to the tmux session!
#tmux attach-session -t $session
