# Copyright (c) 2018-2020, diyIT.org
# All rights reserved.
#
# BSD 2-Clause License ("Simplified BSD License" or "FreeBSD License")
# https://diyit.org/license/
#
#

#!/bin/bash

web_jails=(cloud hub nivi rishabh sharad web web-diyit ldap-mgr r-ldap-mgr monitor)

for i in ${web_jails[@]};
do
	echo restarting apache in web_jail $i after SSL update
	iocage exec $i "service apache24 restart"
done

ldap_jails=(ldap r-ldap)

for i in ${ldap_jails[@]};
do
	echo restarting ldap in ldap_jail $i after SSL update
	iocage exec $i "service slapd restart"
done

echo restarting haproxy in jail proxy after SSL update
iocage exec proxy "service haproxy reload"

echo restarting mail in jail mail after SSL update
iocage exec mail "service postfix restart"

echo restarting ELK in jail monitor after SSL update
iocage exec monitor "cp /mnt/certs/diy*.pem /usr/local/etc/elasticsearch/certs"
iocage exec monitor "cp /mnt/certs/cacert.pem /usr/local/etc/elasticsearch/certs"
iocage exec monitor "service elasticsearch restart"
iocage exec monitor "service kibana restart"

#iocage exec monitor "service logstash restart"
iocage exec monitor "ps axww | grep logstash | cut -f1 -d" " | xargs -n 1 kill -9 "
iocage exec monitor "/root/start_logstash.sh"

iocage exec monitor "service heartbeat restart"
